ARP(8)

NOMBRE
arp - manipula el caché ARP del sistema

SINOPSIS
arp [-vn] [-H tipo] [-i if] [-ae] [nombre_de_equipo]

arp [-v] [-i if] -d nombre_de_equipo [pub]

arp [-v] [-H tipo] [-i if] -s hostname hw_addr [temp]

arp [-v] [-H tipo] [-i if] -s hostname hw_addr [máscara_de_red nm] pub

arp [-v] [-H tipo] [-i if] -Ds nombre_de_equipo ifname [mascara_de_red nm] pub

arp [-vnD] [-H tipo] [-i if] -f [nombre de archivo]

DESCRIPCIÓN
Arp manipula o muestra el caché del núcleo con los equipos vecinos de la red IPv4. Puede añadir entradas, borrar una o ver su contenido. ARP es una abreviatura de Address Resolution Protocol, que se utiliza para encontrar la dirección de control de acceso de los medios de comunicación de un equipo vecino en la red para una dirección IPv4 dada.

MODOS
arp, si no se define ningún modo, muestra el contenido actual de la tabla. Es posible limitar el número de entradas que se muestran, definiendo un tipo de dirección de hardware, nombre de interfaz o dirección de equipo. arp -d address borrará una entrada de la tabla ARP. Se requieren privilegio de administrador del sistema o de la red para hacerlo. La entrada se encontrará por la dirección IP. Si se da un nombre de equipo, se resolverá antes de buscar la entrada en la tabla ARP. arp -s address hw_addr se utiliza para definir una nueva entrada en la tabla. El formato del parámetro hw_addr depende del tipo de hardware, pero para la mayoría de ellas, se supone que se puede utilizar la presentación habitual. Para la clase Ethernet serían 6 bytes en formato hexadecimal, separados entre sí por dos puntos. Al añadir entradas de arp proxy (es decir, aquellas con la opción pub) se puede especificar una máscara_de_red de proxy arp para subredes enteras. Esta no es una buena práctica, pero los núcleos más antiguos la permitían porque puede ser útil en algún casi. Si no se añade la opción temp, las entradas se almacenarán permanentemente en el caché ARP. Para simplificar la configuración de entradas de sus propias interfaces de red, puede utilizar el formulario arp -Ds dirección ifname. En ese caso, la dirección de hardware se toma de la interfaz con el nombre dado.

OPCIONES

-v, --verbose
    Informa al usuario de funcionamiento de manera más detallada.

-n, --numeric
    muestra direcciones numéricas en vez de tratar de determinar nombres simbólicos de servidores, puertos o nombres de usuario.

-H tipo, --hw-type tipo, -t tipo
    Al configurar o leer el cache ARP, esta opción le dice a arp qué clase de entradas debe buscar. El valor por defecto es ether (es decir, código hardware 0x01 para IEEE 802.3 10Mbps Ethernet). Otros valores incluyen tecnologías de red como las siguientes ARCnet (arcnet), PROnet (pronet), AX.25 (ax25) y NET/ROM (netrom).

-a  Usa un formato de salida de estilo BSD alternativo (sin columnas fijas).

-e  Usa el formato de salida de estilo Linux predeterminado (con columnas fijas).

-D, --use-device
    En lugar de un hw_addr, el argumento dado es el nombre de una interfaz. arp usará la dirección MAC de esta interfaz para la entrada de la tabla. Esta suele ser la mejor opción para configurar una entrada ARP proxy para usted mismo.

-i If, --device If
    Selecciona un interfaz. Al vaciar el cache ARP se mostrarán solamente aquellas entradas que correspondan al interfaz. Se usará una configuración de entrada ARP temporal o permanente para el dispositivo especificado. Si no se especifica uno, el kernel lo deducirá a partir de la tabla de encaminamiento. Para entradas tipo pub el interfaz especificado será el usado para responder peticiones ARP.
    OBSERVE: Esto tiene que ser diferente de la interfaz a la que los datagramas de IP se destinarán. OBSERVE: A partir de la versión 2.2.0 del núcleo ya no es posible establecer una entrada ARP para toda una subred. Linux, en cambio, hace automáticamente proxy arp cuando existe una ruta y se está reenviando. Consulte arp(7) para más detalles. También la opción dontpub, disponible para las operaciones de eliminación y configuración no puede usarse con los núcleos 2.4 y más recientes.

-fnombre de archivo, --filenombre de archivo
    Similar a la opción -s, sólo que esta vez se toma la información de la dirección del archivo nombre de archivo. Esto se puede usar si hay que configurar entradas ARP para muchos equipos. El nombre del archivo de datos suele ser /etc/ethers aunque no es oficial. Si no se especifica ningún otro nombre de archivo, se emplea por defecto /etc/ethers.

    El formato del archivo es simple; solamente contiene líneas de texto ASCII con un nombre de servidor (hostname) y una dirección hardware separados por un espacio en blanco. Adicionalmente se pueden usar las opciones pub, temp y netmask.

En todos los lugares donde se espera un nombre de servidor, se puede proporcionar también una dirección IP en notación decimal separada por puntos.

Cada entrada completa de el cache ARP se marcará con la opción C, las entradas permanentes se marcan con M y las entradas publicadas tienen la marca P.

Cada entrada completa en el caché ARP será marcada con la opción C. Las entradas permanentes están marcadas con M y las entradas publicadas con P.

EJEMPLOS
/usr/sbin/arp -i eth0 -Ds 10.0.0.2 eth1 pub Esto responderá a las solicitudes ARP para 10.0.0.2 en eth0 con la dirección MAC para eth1. /usr/sbin/arp -i eth1 -d 10.0.0.1 Eliminar la entrada de la tabla ARP para 10.0.0.1 en la interfaz eth1. Esto concordará con entradas proxy ARP publicadas y entradas permanentes.

ARCHIVOS
/proc/net/arp
/etc/networks
/etc/hosts
/etc/ethers

VÉASE TAMBIÉN
ethers(5), rarp(8), route(8), ifconfig(8), netstat(8)

AUTORES
Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>, Bernd Eckenfels <net-tools@lina.inka.de>.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Antonio Aneiros <aneiros@ctv.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.